Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTcpSocket Class Reference

The QTcpSocket class provides a TCP socket. More...

    #include <QTcpSocket>

Inherits QAbstractSocket.

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QTcpSocket ( QObject * parent = 0 )
- virtual ~QTcpSocket ()

- 30 public functions inherited from QAbstractSocket
- 24 public functions inherited from QObject
- 36 public functions inherited from QIODevice

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 8 signals inherited from QAbstractSocket
- 1 signal inherited from QObject

### Static Public Members

- 4 static public members inherited from QObject

### Protected Functions

- 9 protected functions inherited from QObject
- 2 protected functions inherited from QIODevice

## Detailed Description

The QTcpSocket class provides a TCP socket.

TCP (Transmission Control Protocol) is a reliable, stream-oriented, connection-oriented transport protocol. It is especially well suited for continuous transmission of data.

QTcpSocket is a convenience subclass of QAbstractSocket that allows you to establish a TCP connection and transfer streams of data. See the QAbstractSocket documentation for details.

The network/fortuneserver, network/fortuneclient, and network/blockingfortuneclient examples illustrate how to use QTcpSocket in applications.

See also QTcpServer, QUdpSocket, QFtp, and QHttp.

## Member Function Documentation

### QTcpSocket::QTcpSocket ( QObject * parent = 0 )

Creates a QTcpSocket object in state `Qt::UnconnectedState`.

parent is passed on to the QObject constructor.

See also socketType().

### QTcpSocket::~QTcpSocket () `[virtual]`

Destroys the socket, closing the connection if necessary.

See also close().